#ifndef _IMU_DATA_H_
#define _IMU_DATA_H_

#define I2C_DEV_ADDR  0x50

#define ACC_X_REG  0x34
#define ACC_Y_REG  0x35
#define ACC_Z_REG  0x36

#define GYO_X_REG  0x37
#define GYO_Y_REG  0x38
#define GYO_Z_REG  0x39

#define ROLL_REG   0x3d
#define PITCH_REG  0x3e
#define YAW_REG    0x3f

class myIMU
{
    public:
        int initIICDevice();

        float getRollData();
        float getPitchData();
        float getYawData();

        float getAccXData();
        float getAccYData();
        float getAccZData();

        float getGyoXData();
        float getGyoYData();
        float getGyoZData();

    private:
        int iicFD;
        char accX[2];
        char accY[2];
        char accZ[2];

        char gyoX[2];
        char gyoY[2];
        char gyoZ[2];

        char roll[2];
        char pitch[2];
        char yaw[2];
};

#endif

